## sentrypeer 3.0.0

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only  */
# Copyright (c) 2021 - 2023 Gavin Henry <ghenry@sentrypeer.org> */
#
#   _____            _              _____
#  / ____|          | |            |  __ \
# | (___   ___ _ __ | |_ _ __ _   _| |__) |__  ___ _ __
#  \___ \ / _ \ '_ \| __| '__| | | |  ___/ _ \/ _ \ '__|
#  ____) |  __/ | | | |_| |  | |_| | |  |  __/  __/ |
# |_____/ \___|_| |_|\__|_|   \__, |_|   \___|\___|_|
#                              __/ |
#                             |___/
#
cmake_minimum_required(VERSION 3.22)
project(sentrypeer
        VERSION 3.0.0
        HOMEPAGE_URL https://github.com/SentryPeer/SentryPeer
        LANGUAGES C)

set(CMAKE_C_STANDARD 17)

add_executable(${CMAKE_PROJECT_NAME}
        ${CMAKE_SOURCE_DIR}/src/sentrypeer.c
        ${CMAKE_SOURCE_DIR}/src/signal_handler.c
        ${CMAKE_SOURCE_DIR}/src/conf.c
        ${CMAKE_SOURCE_DIR}/src/http_common.c
        ${CMAKE_SOURCE_DIR}/src/http_daemon.c
        ${CMAKE_SOURCE_DIR}/src/http_routes.c
        ${CMAKE_SOURCE_DIR}/src/http_health_check_route.c
        ${CMAKE_SOURCE_DIR}/src/http_ip_addresses_route.c
        ${CMAKE_SOURCE_DIR}/src/http_ip_address_route.c
        ${CMAKE_SOURCE_DIR}/src/http_called_numbers_route.c
        ${CMAKE_SOURCE_DIR}/src/http_called_number_route.c
        ${CMAKE_SOURCE_DIR}/src/regex_match.c
        ${CMAKE_SOURCE_DIR}/src/sip_message_event.c
        ${CMAKE_SOURCE_DIR}/src/sip_daemon.c
        ${CMAKE_SOURCE_DIR}/src/sip_parser.c
        ${CMAKE_SOURCE_DIR}/src/peer_to_peer_dht.c
        ${CMAKE_SOURCE_DIR}/src/utils.c
        ${CMAKE_SOURCE_DIR}/src/bad_actor.c
        ${CMAKE_SOURCE_DIR}/src/database.c
        ${CMAKE_SOURCE_DIR}/src/json_logger.c
        )

# See https://github.com/bast/cmake-example/blob/master/CMakeLists.txt
# get git hash
include(${CMAKE_SOURCE_DIR}/cmake/git_revision.cmake)

# project version
set(PACKAGE_NAME ${CMAKE_PROJECT_NAME})
set(PACKAGE_VERSION ${CMAKE_PROJECT_VERSION})

target_link_libraries(${CMAKE_PROJECT_NAME} -losipparser2)
target_link_libraries(${CMAKE_PROJECT_NAME} -lsqlite3)
target_link_libraries(${CMAKE_PROJECT_NAME} -luuid)
target_link_libraries(${CMAKE_PROJECT_NAME} -lmicrohttpd)
target_link_libraries(${CMAKE_PROJECT_NAME} -ljansson)
target_link_libraries(${CMAKE_PROJECT_NAME} -lcurl)
target_link_libraries(${CMAKE_PROJECT_NAME} -lpcre2-8)
target_link_libraries(${CMAKE_PROJECT_NAME} -lopendht-c)

# configure header file
configure_file(
        ${CMAKE_SOURCE_DIR}/cmake/config.h.in
        ${CMAKE_SOURCE_DIR}/src/config.h
)

=== debian/changelog ===
sentrypeer (3.0.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:10:01 +0200

sentrypeer (3.0.0-0kali2) kali-dev; urgency=medium

  * Ensure the sentrypeer directory exists, and create it if it doesn't.

 -- Steev Klimaszewski <steev@kali.org>  Sat, 29 Apr 2023 00:24:43 -0500

sentrypeer (3.0.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.0

 -- Steev Klimaszewski <steev@kali.org>  Fri, 28 Apr 2023 22:15:29 -0500

sentrypeer (2.0.1-0kali2) kali-dev; urgency=medium

  * Move user creation to preinst instead of postinst.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Mon, 24 Apr 2023 23:17:18 -0500

sentrypeer (2.0.1-1) kali-dev; urgency=medium

  * ci: Disable 32bit builds.
  * Fix sentrypeer postinst script
  * New upstream version 2.0.1
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Mon, 24 Apr 2023 22:47:42 -0500

sentrypeer (1.4.1-0kali1) kali-dev; urgency=medium

  * Disable build for i386 (gitlab ci)
  * New upstream version 1.4.1
  * Update package description
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 May 2022 11:30:14 +0200

sentrypeer (1.4.0-0kali2) kali-dev; urgency=medium

  * Only available for arch 64
  * Disable opendht for the moment

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Apr 2022 14:53:49 +0200

sentrypeer (1.4.0-0kali1) kali-dev; urgency=medium

  * Improve debian/* for Kali (import in Kali, see 7523)
  * New upstream version 1.4.0
  * Update and fix debian/copyright
  * Add missing option --force-badname in postinst
  * Remove useless runpath fix
  * Add superficial autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Apr 2022 12:19:45 +0200

sentrypeer (1.2.0-1) focal; urgency=medium

  * Add JSON logging to log bad actor events and various other improvements

 -- Gavin Henry <ghenry@sentrypeer.org>  Fri, 25 Feb 2022 21:45:00 +0000

sentrypeer (1.0.0-1) UNRELEASED; urgency=medium

  * Called Number RESTful API resource live
  * Called Numbers RESTful API resource live

 -- Gavin Henry <ghenry@sentrypeer.org>  Mon, 24 Jan 2022 21:45:00 +0000

sentrypeer (0.0.6-1) UNRELEASED; urgency=medium

  * Fix incorrect libcurl usage

 -- Gavin Henry <ghenry@sentrypeer.org>  Fri, 21 Jan 2022 17:13:00 +0000

sentrypeer (0.0.5-1) UNRELEASED; urgency=medium

  * Switched from 404 to Error 400 on invalid request data at 
    /ip-addresses/{blah}
  * Handle packets sent that are 0 bytes (discovered by nmap probing port 5060)
  * Only parse SIP packets if UDP packet payload is > 0 bytes
  * Fedora and Debian packaging now available for each release
  * HTTP regex route memory leak fix
  * vue.js SPA is now in for start web gui
  * Remove duplicate uuid_generate call in bad_actor structure
  * Add CORS header to all API responses
  * Add more header checks to configure.ac
  * Switch to recvmsg for receiving UDP packets, so we can save the destination 
    IP address of probes
  * SIP responsive mode can be enabled to reply to SIP probes. This will prompt 
    INVITE's from bad actors for phone call attempts, so you can collect the 
    phone numbers
  * API mode can be set to enable replies to RESTful API requests. Depending 
    on your node deployment type, you may not want to enable this
  * Web GUI mode can be set to enable the Vue.js SPA. Depending on your node 
    deployment type, you might not want this
  * Add seen_last and seen_count bad_actor data structure for use in 
    ip_addresses RESTful API resource
  * ip_addresses RESTful API resource results sorted by seen_last descending
  * Add AC_USE_SYSTEM_EXTENSIONS to configure.ac
  * Web GUI mode needs the API to be enabled, so if you don't set API mode, we 
    automatically set it
  * Clean up test RESTful API code to fix test suite crashes on macOS
  * Highly recommend v5+ of libosip2 via ./configure
  * Correct homebrew installation instructions for SentryPeer
  * Major test suite refactor for memory leak fixes
  * Replies with json no longer leak memory

 -- Gavin Henry <ghenry@sentrypeer.org>  Tue, 18 Jan 2022 20:04:53 +0000

sentrypeer (0.0.4-1) UNRELEASED; urgency=medium

  * Updated README.md copy and paste example for installation instructions from this repository
  * Fixed memory leak in route regex matching
  * Removed global sqlite error log callback which caused segfaults when trying to show error messages (threads)
  * Added an index to the database to speed up searching for IP addresses
  * Fixed a segfault when trying to search for IP address/s in an empty database due to global error log bug above
  * Better error messages on API responses
  * Removed some unnecessary jansson usage
  * Dockerfile and now listed on Docker Hub

 -- Gavin Henry <ghenry@sentrypeer.org>  Wed, 22 Dec 2021 14:58:53 +0000

sentrypeer (0.0.3-1) UNRELEASED; urgency=medium

  * Added `event_uuid`, `collected_method` (passive or responsive) and `created_by_node_id` (aa uuid) columns to `honey` table
  * Extended `bad_actor` data structure to provide above
  * Added `libuuid` library requirement for `created_by_node_id` and `event_uuid` column of `honey` table
  * Memory leak fix with bad_actor not being destroyed
  * Added libmicrohttpd, curl and jansson to provide a RESTful API for honeypot data
  * Added build requirement for libmicrohttpd and jansson
  * Added syslog support for use with [Fail2Ban](https://www.fail2ban.org/wiki/index.php/Main_Page) as per [feature request](https://github.com/SentryPeer/SentryPeer/issues/6)
  * Logging to syslog is enabled via `-s` flag. Default is off
  * Log `Source IP` to sqlite db and syslog (if enabled) to track probes that aren't SIP compliant
  * systemd service file for SentryPeer
  * Debian packaging placeholder

 -- Gavin Henry <ghenry@sentrypeer.org>  Wed, 01 Dec 2021 14:58:53 +0000

=== debian/control ===
Source: sentrypeer
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: autoconf,
               autoconf-archive,
               automake,
               debhelper-compat (= 12),
               libcmocka-dev,
               libcurl4-openssl-dev,
               libjansson-dev,
               libmicrohttpd-dev,
               libosip2-dev,
               libpcre2-dev,
               libsqlite3-dev,
               pkg-config,
               uuid-dev
Standards-Version: 4.6.2
Homepage: https://sentrypeer.org
Rules-Requires-Root: no

Package: sentrypeer
Architecture: amd64 arm64
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Description: SIP peer to peer honeypot for VoIP
 SentryPeer is a distributed list of bad IP addresses and phone numbers
 collected via a SIP Honeypot.
 SentryPeer is a fraud detection tool. It lets bad actors try to make phone
 calls and saves the IP address they came from and number they tried to call.
 Those details can then be used to raise notifications at the service providers
 network and the next time a user/customer tries to call a collected number,
 you can act anyway you see fit.
 .
 Traditionally this data is shipped to a central place, so you don't own
 the data you've collected. This project is all about Peer to Peer sharing
 of that data. The user owning the data and various Service Provider /
 Network Provider related feeds of the data is the key bit for me. I'm
 sick of all the services out there that keep it and sell it. If you've
 collected it, you should have the choice to keep it and/or opt in to
 share it with other SentryPeer community members via p2p methods.

=== debian/tests/control ===
Tests: test-service
Restrictions: superficial, isolation-container, needs-root

## sentrypeer 4.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only  */
-# Copyright (c) 2021 - 2023 Gavin Henry <ghenry@sentrypeer.org> */
+# Copyright (c) 2021 - 2025 Gavin Henry <ghenry@sentrypeer.org> */
 #
 #   _____            _              _____
 #  / ____|          | |            |  __ \
@@ -12,14 +12,37 @@
 #
 cmake_minimum_required(VERSION 3.22)
 project(sentrypeer
-        VERSION 3.0.0
+        VERSION 4.0.4
         HOMEPAGE_URL https://github.com/SentryPeer/SentryPeer
         LANGUAGES C)
 
-set(CMAKE_C_STANDARD 17)
+set(CMAKE_C_STANDARD 23)
 
-add_executable(${CMAKE_PROJECT_NAME}
-        ${CMAKE_SOURCE_DIR}/src/sentrypeer.c
+include(CMakePackageConfigHelpers)
+include(CMakeDependentOption)
+include(FindPkgConfig)
+
+option(UNIT_TESTING "Enable unit testing" OFF)
+option(DISABLE_OPENDHT "Disable OpenDHT support" OFF)
+option(DISABLE_RUST "Disable Rust parts" OFF)
+option(RUST_DEBUG_RELEASE "Rust debug or release" OFF)
+
+if (DISABLE_OPENDHT)
+    add_definitions(-DHAVE_OPENDHT=0)
+    message(STATUS "OpenDHT support disabled")
+endif ()
+
+if (DISABLE_RUST)
+    add_definitions(-DHAVE_RUST=0)
+    message(STATUS "Rust support disabled")
+endif ()
+
+if (RUST_DEBUG_RELEASE)
+    add_definitions(-DRUST_DEBUG_RELEASE=1)
+    message(STATUS "Rust debug release enabled")
+endif ()
+
+set(SRC_FILES ${CMAKE_SOURCE_DIR}/src/sentrypeer.c
         ${CMAKE_SOURCE_DIR}/src/signal_handler.c
         ${CMAKE_SOURCE_DIR}/src/conf.c
         ${CMAKE_SOURCE_DIR}/src/http_common.c
@@ -39,15 +62,79 @@
         ${CMAKE_SOURCE_DIR}/src/bad_actor.c
         ${CMAKE_SOURCE_DIR}/src/database.c
         ${CMAKE_SOURCE_DIR}/src/json_logger.c
-        )
+)
+
+# Build a SentryPeer library for use in our Rust code FIRST as,
+# our Rust code depends on it in our executable
+add_library(${CMAKE_PROJECT_NAME}_lib SHARED
+        ${SRC_FILES}
+)
+
+# Make the library have the same name as the project
+# https://discourse.cmake.org/t/how-to-use-the-same-name-for-a-target-and-a-library/5044/2
+set_target_properties(${CMAKE_PROJECT_NAME}_lib PROPERTIES OUTPUT_NAME ${CMAKE_PROJECT_NAME})
+
+add_executable(${CMAKE_PROJECT_NAME}
+        ${SRC_FILES}
+)
 
 # See https://github.com/bast/cmake-example/blob/master/CMakeLists.txt
 # get git hash
 include(${CMAKE_SOURCE_DIR}/cmake/git_revision.cmake)
 
+find_package(PkgConfig REQUIRED)
+
+pkg_search_module(OSIP2 REQUIRED libosip2)
+pkg_search_module(SQLITE3 REQUIRED sqlite3)
+pkg_search_module(UUID REQUIRED uuid)
+pkg_search_module(MICROHTTPD REQUIRED libmicrohttpd)
+pkg_search_module(JANSSON REQUIRED jansson)
+pkg_search_module(CURL REQUIRED libcurl)
+pkg_search_module(PCRE2 REQUIRED libpcre2-8)
+
+if (NOT DISABLE_OPENDHT)
+    pkg_search_module(OPENDHT opendht)
+    message(STATUS "OpenDHT support not disabled")
+endif ()
+
+if (OPENDHT_FOUND)
+    add_definitions(-DHAVE_OPENDHT_C=1)
+    message(STATUS "OPENDHT_C_VERSION: ${OPENDHT_VERSION}")
+    add_definitions(-DOPENDHT_C_VERSION="${OPENDHT_VERISON}")
+endif ()
+
+include_directories(${OSIP2_INCLUDE_DIRS})
+include_directories(${SQLITE3_INCLUDE_DIRS})
+include_directories(${UUID_INCLUDE_DIRS})
+include_directories(${MICROHTTPD_INCLUDE_DIRS})
+include_directories(${JANSSON_INCLUDE_DIRS})
+include_directories(${CURL_INCLUDE_DIRS})
+include_directories(${PCRE2_INCLUDE_DIRS})
+include_directories(${OPENDHT_INCLUDE_DIRS})
+
 # project version
 set(PACKAGE_NAME ${CMAKE_PROJECT_NAME})
 set(PACKAGE_VERSION ${CMAKE_PROJECT_VERSION})
+
+# For our Rust code
+# See https://github.com/corrosion-rs/corrosion
+if (NOT DISABLE_RUST)
+    include(FetchContent)
+
+    FetchContent_Declare(
+            Corrosion
+            GIT_REPOSITORY https://github.com/corrosion-rs/corrosion.git
+    )
+    FetchContent_MakeAvailable(Corrosion)
+
+    # Import targets defined in a package or workspace manifest `Cargo.toml` file
+    corrosion_import_crate(MANIFEST_PATH sentrypeer_rust/Cargo.toml)
+    message(STATUS "Rust support enabled")
+
+    # For config.h.in
+    set(HAVE_RUST 1)
+    add_definitions(-DHAVE_RUST=1)
+endif ()
 
 target_link_libraries(${CMAKE_PROJECT_NAME} -losipparser2)
 target_link_libraries(${CMAKE_PROJECT_NAME} -lsqlite3)
@@ -56,10 +143,38 @@
 target_link_libraries(${CMAKE_PROJECT_NAME} -ljansson)
 target_link_libraries(${CMAKE_PROJECT_NAME} -lcurl)
 target_link_libraries(${CMAKE_PROJECT_NAME} -lpcre2-8)
-target_link_libraries(${CMAKE_PROJECT_NAME} -lopendht-c)
 
-# configure header file
+# Used in config.h.in - can't reset OPENDHT_FOUND here, so use a new variable
+if (NOT OPENDHT_FOUND)
+    set(HAVE_OPENDHT_C 0)
+endif ()
+
+if (OPENDHT_FOUND AND NOT DISABLE_OPENDHT)
+    target_link_libraries(${CMAKE_PROJECT_NAME} -lopendht-c)
+    message(STATUS "Linking with OpenDHT")
+    set(HAVE_OPENDHT_C 1)
+endif ()
+
+if (NOT DISABLE_RUST)
+    target_link_libraries(${CMAKE_PROJECT_NAME} sentrypeer_rust)
+    message(STATUS "Linking with Rust parts")
+endif ()
+
+# configure header files
+configure_file(
+        ${CMAKE_SOURCE_DIR}/cmake/config.h.in
+        ${CMAKE_SOURCE_DIR}/config.h
+)
+
 configure_file(
         ${CMAKE_SOURCE_DIR}/cmake/config.h.in
         ${CMAKE_SOURCE_DIR}/src/config.h
 )
+
+if (UNIT_TESTING)
+    include(CTest)
+    find_package(cmocka 1.1.5 REQUIRED)
+    add_subdirectory(tests/unit_tests)
+    message(STATUS "Unit testing enabled")
+endif ()
+

=== tests/tools/Makefile ===
CC=gcc
CFLAGS=-Wall

all: pcre2demo udp_client tcp_client

pcre2demo: pcre2demo.o
	$(CC) $(CFLAGS) -o pcre2demo pcre2demo.o -lpcre2-8

udp_client: udp_client.o
	$(CC) $(CFLAGS) -o udp_client udp_client.o

tcp_client: tcp_client.o
	$(CC) $(CFLAGS) -o tcp_client tcp_client.c

clean:
	rm -f pcre2demo udp_client

=== tests/unit_tests/CMakeLists.txt ===
if (UNIT_TESTING)
    set(TEST_RUNNER_NAME runner)

    if (OPENDHT_FOUND AND NOT DISABLE_OPENDHT)
        # Find opendht_c
        find_library(OPENDHT_C opendht-c)
    endif ()

    # configure header file
    configure_file(
            ${CMAKE_SOURCE_DIR}/cmake/config.h.in
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/config.h
    )

    add_executable(${TEST_RUNNER_NAME}
            ${CMAKE_SOURCE_DIR}/src/sip_message_event.c
            ${CMAKE_SOURCE_DIR}/src/sip_daemon.c
            ${CMAKE_SOURCE_DIR}/src/http_common.c
            ${CMAKE_SOURCE_DIR}/src/http_daemon.c
            ${CMAKE_SOURCE_DIR}/src/http_routes.c
            ${CMAKE_SOURCE_DIR}/src/http_health_check_route.c
            ${CMAKE_SOURCE_DIR}/src/http_ip_addresses_route.c
            ${CMAKE_SOURCE_DIR}/src/http_ip_address_route.c
            ${CMAKE_SOURCE_DIR}/src/http_called_numbers_route.c
            ${CMAKE_SOURCE_DIR}/src/http_called_number_route.c
            ${CMAKE_SOURCE_DIR}/src/regex_match.c
            ${CMAKE_SOURCE_DIR}/src/sip_parser.c
            ${CMAKE_SOURCE_DIR}/src/bad_actor.c
            ${CMAKE_SOURCE_DIR}/src/conf.c
            ${CMAKE_SOURCE_DIR}/src/json_logger.c
            ${CMAKE_SOURCE_DIR}/src/utils.c
            ${CMAKE_SOURCE_DIR}/src/database.c
            ${CMAKE_SOURCE_DIR}/src/peer_to_peer_dht.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_conf.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_json_logger.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_utils.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_bad_actor.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_database.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_http_api.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_http_api_version.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_http_route_check.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_ip_address_regex.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_sip_message_event.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_sip_daemon.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_sentrypeer_rust.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/test_peer_to_peer_dht.c
            ${CMAKE_SOURCE_DIR}/tests/unit_tests/runner.c
    )

    target_include_directories(${TEST_RUNNER_NAME} PUBLIC ${CMAKE_SOURCE_DIR}/src)
    target_include_directories(${TEST_RUNNER_NAME} PUBLIC ${CMAKE_SOURCE_DIR}/tests/unit_tests)

    target_link_libraries(${TEST_RUNNER_NAME} -losipparser2)
    target_link_libraries(${TEST_RUNNER_NAME} -lsqlite3)
    target_link_libraries(${TEST_RUNNER_NAME} -luuid)
    target_link_libraries(${TEST_RUNNER_NAME} -lmicrohttpd)
    target_link_libraries(${TEST_RUNNER_NAME} -ljansson)
    target_link_libraries(${TEST_RUNNER_NAME} -lcurl)
    target_link_libraries(${TEST_RUNNER_NAME} -lpcre2-8)


    if (OPENDHT_FOUND AND NOT DISABLE_OPENDHT)
        target_link_libraries(${TEST_RUNNER_NAME} -lopendht-c)
    endif ()

    target_link_libraries(${TEST_RUNNER_NAME} sentrypeer_rust)
    target_link_libraries(${TEST_RUNNER_NAME} -lcmocka)

    enable_testing()
    add_test(NAME ${TEST_RUNNER_NAME} COMMAND ${TEST_RUNNER_NAME})
    add_test(
            NAME sentrypeer_rust
            COMMAND cargo test --manifest-path ${CMAKE_SOURCE_DIR}/sentrypeer_rust/Cargo.toml -- --nocapture
    )
    set_tests_properties(sentrypeer_rust PROPERTIES ENVIRONMENT "LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}")

endif ()

=== debian/changelog ===
sentrypeer (4.0.4-0kali3) kali-dev; urgency=medium

  * Add missing build-dep: ca-certificates

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 May 2025 09:26:55 +0200

sentrypeer (4.0.4-0kali2) kali-dev; urgency=medium

  * Add missing depends to build rust parts
  * Update sentrypeer.service

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 May 2025 08:49:32 +0200

sentrypeer (4.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 4.0.4
  * Update debian/copyright
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 May 2025 15:26:11 +0200

sentrypeer (3.0.2-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Bump Standards-Version (no changes needed)
  * Bump debhelper compat
  * New upstream version 3.0.2

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 10 Sep 2024 14:13:23 +0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: sentrypeer
 Section: net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: autoconf,
                autoconf-archive,
                automake,
-               debhelper-compat (= 12),
+	       cargo,
+	       ca-certificates,
+               debhelper-compat (= 13),
+	       libclang-dev,
                libcmocka-dev,
                libcurl4-openssl-dev,
                libjansson-dev,
@@ -14,10 +17,12 @@
                libosip2-dev,
                libpcre2-dev,
                libsqlite3-dev,
-               pkg-config,
+               pkgconf,
                uuid-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sentrypeer.org
+Vcs-Browser: https://gitlab.com/kalilinux/packages/sentrypeer
+Vcs-Git: https://gitlab.com/kalilinux/packages/sentrypeer.git
 Rules-Requires-Root: no
 
 Package: sentrypeer

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-opendht

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sentrypeer-$1.tar.gz%" \
   https://github.com/sentrypeer/sentrypeer/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
